升级mac catalina后 ionic打包问题总结

  1. mac升级到catalina后fir工具会报错

    -bash: /usr/local/bin/fir: /System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/bin/ruby: bad interpreter: No such file or directory

    mac升级后ruby版本为2.6.5, 但是 fir 依赖的还是2.3, 所以需要升级 fir-cli 了

    当前最新的应该是 fir-cli-1.7.2

    在终端执行以下命令:

    gem install fir-cli
    

有可能会遇到权限的问题,这个时候就用sudo以下,或者你自己有更好更安全的方法。

最后成功安装结果:

Done installing documentation for thor, http-accept, unf_ext, unf, domain_name, http-cookie, mime-types-data, mime-types, rest-client, rubyzip, ruby_android, chunky_png, rqrcode, multi_json, api_tools, fir-cli after 15 seconds

推荐阅读更多精彩内容